#include <math.h>
#include "attenuation.h"

/* Returns saturation vapour pressure in Pascals */
afloat
saturation_vapour_pressure(afloat T_K)
{
  afloat a = 17.269, b = 35.860;

  if (T_K < FREEZING_K)
    {
      a = 21.874;
      b = 7.66;
    }

  return 611.0 * exp(a * (T_K - FREEZING_K) / (T_K - b));
}
